﻿Option Strict Off

Imports Microsoft.Office.Interop.Excel

Public Class Class1


	''' <summary>
	''' Wird gefeuert, wenn der Benutzer den Status der Checkbox geändert hat hat.
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks></remarks>
	Public Event CheckedChanged(ByVal sender As Object, ByVal e As EventArgs)

	Public Sub CreateExcel()

		Dim excelApp As Application
		Dim excelWorkbook As Workbook
		Dim excelSheet As Worksheet
		Dim excelChart As Chart

		Dim xlRange As Range

		excelApp = New Application()
		excelWorkbook = excelApp.Workbooks.Add()
		excelSheet = excelWorkbook.Sheets.Add()
		xlRange = excelSheet.Range("A1:A20")
		excelChart = excelWorkbook.Charts.Add()

		excelChart.SetSourceData(Source:=xlRange, PlotBy:=XlRowCol.xlColumns)

		With excelChart.SeriesCollection(1).Border
			.ColorIndex = 57
			.Border.Weight = XlBorderWeight.xlThick
			.LineStyle = XlLineStyle.xlContinuous
		End With

		With excelChart.SeriesCollection(1)
			.MarkerBackgroundColorIndex = XlColorIndex.xlColorIndexAutomatic
			.MarkerForegroundColorIndex = XlColorIndex.xlColorIndexAutomatic
			.MarkerStyle = XlMarkerStyle.xlMarkerStyleSquare
			.Smooth = False
			.MarkerSize = 6
			.Shadow = False
		End With

		excelChart.ChartType = XlChartType.xlLineMarkers
		excelChart.Axes(XlAxisType.xlCategory, XlAxisGroup.xlPrimary).TickLabels.NumberFormat = "TT.MM.JJ"

		excelSheet.Activate()
		excelChart.SeriesCollection.Add(Source:=xlRange, Rowcol:=XlRowCol.xlColumns, SeriesLabels:=True, CategoryLabels:=False, Replace:=False)

	End Sub

End Class
